
Figure - 开发 Dev #112378
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

[MK][MCU-OTA]【TC-RID: 1201-0200401】
2022-10-08 15:55 - CD FW-王伟

Status: 完成 Closed Start date: 2022-10-08

Priority: Normal Due date: 2022-10-12

Assignee: CD- FW-石豪 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_B sample_20221016

Description

BSP需要将mcu的固件包放在目录：

/vender/tc/mcu/xxxxx_version_xxxx.zip

压缩包的名字里面会包含版本信息

FW需要在开机的时候检查此文件夹下面的文件，并且解析出版本号，然后与MCU的版本相对比，如果有差异则升级。

History

#1 - 2022-11-10 15:48 - CD- FW-石豪

- Status changed from New to 完成 Closed

- % Done changed from 0 to 100

【相关提交】https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/158369

【测试方式】放置figureAPP_V0.0.1_a.bin figureAPP_V0.0.1_b.bin到/system/tc/mcu/下，若当前版本不是V0.0.1,重启之后将会触发升级。升级情况

可以通过adb logcat | grep -i MCUUpdate进行查看日志

#2 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154212 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:MCU-OTA:Add Mcu upgrade in TcService codeTC-RID: 1201-0200401IssueID: TS-R-DF-112378Change-Id:

I839a87aece1b871a8782495063cf648499c8604b

#3 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154345 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

FW:MCU-OTA:Add the pre installed directory of mcu versionTC-RID: 1201-0200401IssueID: TS-R-DF-112378Change-Id:
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/158369


Ifbc65481b454eaedbcc5ffbf5b778458c21637c9

#4 - 2022-12-22 20:43 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155634 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

FW:MCU-OTA:Fix Mcu upgrade version compile1.modif mcu version compile logic2.system reboot after the mcu auto upgrade completedTC-RID:

1201-0200401IssueID: TS-R-DF-112378Change-Id: Ib3a119fa34621b5381d73f55b65499e24a1a677f

#5 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

155959 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

FW:MCU-OTA:Disable EVT1 to upgrade mcuTC-RID: 1201-0200401IssueID: TS-R-DF-112378Change-Id: I65ae52747ab1f65af7579d46d5926c45f38fbacf

#6 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162530 general/platform/packages/apps/Settin

gsIntelligence

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:McuUpdate: Add Special Code to start McuUpdate1.Add Special Code to start McuUpdate2.Use switch instead of if to determine the special codeTC-RID:

1201-0200401IssueID: TS-R-DF-112378Change-Id: I92b1800247c66b27856a8a2225b928c22a88e013

#7 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162569 general/platform/vendor/thundercom

m/apps/FOTA

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:McuUpdate: Don`t display on launcher1.Don`t display on launcherTC-RID: 1201-0200401IssueID: TS-R-DF-112378Change-Id:

Id9253d0ab0b286b69836ebf4d2cbe6e58cde2be3
